%global __provides_exclude_from ^%%{_libdir}/%%{name}/.*\\.so.*$
%global __requires_exclude ^libgnome-photos\\.so.*$

%global major_version %%(echo %%{version} | cut -d. -f1)
%global cairo_version 1.14.0
%global dazzle_version 3.26.0
%global gdk_pixbuf_version 2.36.8
%global gegl_version 0.4.0
%global gettext_version 0.19.8
%global gexiv2_version 0.10.8
%global glib2_version 2.62.0
%global goa_version 3.8.0
%global gtk3_version 3.22.16
%global handy_version 1.1.90
%global tracker_miners_version 3.0.0

Summary:       Access, organize and share your photos on GNOME
Name:          gnome-photos
Version:       44.0
Release:       3%{?dist}
License:       GPLv3+ and LGPLv2+
URL:           https://wiki.gnome.org/Apps/Photos
Source0:       https://download.gnome.org/sources/%{name}/%{major_version}/%{name}-%{version}.tar.xz

Patch3000:     0001-wip-item-manager-Handle-collection-COLUMNS_URNs-with.patch

BuildRequires: gcc meson
BuildRequires: /usr/bin/appstream-util desktop-file-utils docbook-style-xsl itstool libxslt
BuildRequires: gettext >= %{gettext_version}
BuildRequires: pkgconfig(babl-0.1)
BuildRequires: pkgconfig(cairo) >= %{cairo_version}
BuildRequires: pkgconfig(cairo-gobject) >= %{cairo_version}
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= %{gdk_pixbuf_version}
BuildRequires: pkgconfig(gegl-0.4) >= %{gegl_version}
BuildRequires: pkgconfig(geocode-glib-2.0)
BuildRequires: pkgconfig(gexiv2) >= %{gexiv2_version}
BuildRequires: pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires: pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires: pkgconfig(gobject-2.0) >= %{glib2_version}
BuildRequires: pkgconfig(goa-1.0) >= %{goa_version}
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires: pkgconfig(libdazzle-1.0) >= %{dazzle_version}
BuildRequires: pkgconfig(libhandy-1) >= %{handy_version}
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libportal)
BuildRequires: pkgconfig(libportal-gtk3)
BuildRequires: pkgconfig(tracker-sparql-3.0)
Requires:      baobab
Requires:      gdk-pixbuf2 >= %{gdk_pixbuf_version}
Requires:      gegl04 >= %{gegl_version}
Requires:      glib2 >= %{glib2_version}
Requires:      gnome-settings-daemon
Requires:      gtk3 >= %{gtk3_version}
Requires:      libdazzle >= %{dazzle_version}
Requires:      libgexiv2 >= %{gexiv2_version}
Requires:      libhandy >= %{handy_version}
Requires:      tracker3-miners >= %{tracker_miners_version}
Provides:      bundled(libgd)

%description
Access, organize and share your photos on GNOME. A simple and elegant
replacement for using a file manager to deal with photos. Enhance, crop
and edit in a snap. Seamless cloud integration is offered through GNOME
Online Accounts.

%package       tests
Summary:       Tests for %{name}

%description   tests
This package contains the installable tests for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson \
  --buildtype=plain \
  -Ddogtail=false \
  -Dflatpak=false \
  -Dinstalled_tests=true \
  -Dmanuals=true \
%meson_build

%install
%meson_install
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Photos.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Photos.desktop
%{_datadir}/dbus-1/services/org.gnome.Photos.service
%{_datadir}/glib-2.0/schemas/org.gnome.photos.gschema.xml
%{_datadir}/gnome-shell/
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Photos.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Photos-symbolic.svg
%{_docdir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libgnome-photos.so
%{_libexecdir}/%{name}-thumbnailer
%{_metainfodir}/org.gnome.Photos.appdata.xml
%{_mandir}/man1/%{name}.1*

%files tests
%{_libexecdir}/installed-tests/%{name}
%{_datadir}/installed-tests

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 44.0-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 44.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 14 2023 Shuo Wang <abushwang@tencent.com> - 44.0-1
- update to 44.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 31 2023 Miaojun Dong <zoedong@tencent.com> - 43.0-1
- initial build
